db.list {PivotalR} | R Documentation

## List all the currently active connections with their information

### Description

List all the currently active connections with their information including the connection ID, host, user, database, DBMS (database management system), MADlib schema name in the database, and the R package name used to connect to the database.

### Usage

    db.list()

### Value

No value is returned.

### Note

Currently, only connection to PostgreSQL and Greenplum databases are supported. Support for other types of DBMS's will be added in the future.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.connect` connects to database.

`db.disconnect` disconnects a connection.

`connection info` the functions that extract information about the connection.

`conn.eql` tests whether two connections are the same.

### Examples

    ## Not run:

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid1 <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)
    cid2 <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    db.list() # list the two connections

    db.disconnect(cid1, verbose = FALSE)
    db.disconnect(cid2, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]